#!/bin/bash

set -e -u

# Script to build all components needed for the X-Plane Remote Access plugin
# for all supported hosts.
#
# Usage: buildallhosts.sh <configuration file> <destination directory> [<C/C++ flags>]
#
# The C/C++ flags default to -O2

scriptdir=`dirname $0`

if test $# -lt 2; then
    echo "Usage: buildallhosts.sh <configuration file> <destination directory>  [<C/C++ flags>]"
    exit 1
fi

config="${1}"
dest="${2}"
cflags="${3:-}"
if test -z "${cflags}"; then
    cflags="-O2"
fi

"${scriptdir}/buildall.sh" "${config}" "${dest}/xpl" x86_64-linux-gnu "${cflags}"
#echo
#echo
#"${scriptdir}/buildall.sh" "${config}" "${dest}/xpl-32" i686-linux-gnu "${cflags}"
#echo
#echo
#"${scriptdir}/buildall.sh" "${config}" "${dest}/xpl-win32" i686-w64-mingw32 "${cflags}"
echo
echo
"${scriptdir}/buildall.sh" "${config}" "${dest}/xpl-win64" x86_64-w64-mingw32 "${cflags}"
